%global momorel 4

%define __libtoolize :

Summary: A driver for the UPEK/SGS Thomson Microelectronics fingerprint reader
Name: thinkfinger
Version: 0.3
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://thinkfinger.sourceforge.net/
Group: System Environment/Base
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: system-auth.sample
Source2: %{name}.modules.sample
Source3: README.%{name}.Momonga
Patch0: %{name}-%{version}-birdir.patch
Patch1: %{name}-%{version}-acl.patch
Patch2: %{name}-%{version}-has-device.patch
Patch3: %{name}-%{version}-hal.patch
Patch4: %{name}-%{version}-policykit.patch
Patch5: thinkfinger-refuse-remote-login-thoenig-01.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: PolicyKit
Requires: hal
Requires: pam
BuildRequires: libacl-devel
BuildRequires: libusb-devel
BuildRequires: doxygen
BuildRequires: pam-devel
BuildRequires: pkgconfig

%description
ThinkFinger is a driver for the UPEK/SGS Thomson Microelectronics fingerprint
reader (USB ID 0483:2016). The device is being found either as a standalone USB
device, built into USB keyboards or built into laptops.  The following laptop
vendors are using the device:

- Dell
- IBM/Lenovo
- Toshiba

Toshiba is shipping their laptops either with the UPEK/SGS Thomson
Microelectronics fingerprint reader or with a fingerprint reader built by
AuthenTec. The AuthenTec fingerprint reader is *not* supported by ThinkFinger.

SONY laptops with the UPEK/SGS Thomson Microelectronics fingerprint reader are
not supported.

%package devel
Summary: Header files and static libraries from thinkfinger
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libusb-devel
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on thinkfinger.

%prep
%setup -q

touch -r configure.in configure.in.stamp
%patch1 -p1 -b .acl
touch -r configure.in.stamp configure.in

%patch2 -p1 -b .has-device
%patch3 -p1 -b .hal
%patch4 -p1 -b .policykit
%patch5 -p0 -b .sshdcrash

# for doc
install -m 644 %{SOURCE3} .

%build
%configure \
	--with-securedir=/%{_lib}/security \
	--enable-console-perms=yes

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# fingerprints directory
mkdir -p %{buildroot}%{_sysconfdir}/pam_thinkfinger

# install sample configuration files
mkdir -p %{buildroot}%{_datadir}/config-sample/thinkfinger
install -m 644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_datadir}/config-sample/thinkfinger/

# get rid of *.la file
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%doc README.thinkfinger.Momonga
%{_sysconfdir}/pam_thinkfinger
%{_sysconfdir}/security/console.perms.d/60-thinkfinger.perms
/%{_lib}/security/pam_thinkfinger.so
%{_libdir}/libthinkfinger.so.*
%{_sbindir}/tf-tool
%{_datadir}/PolicyKit/policy/thinkfinger.policy
%{_datadir}/config-sample/thinkfinger
%{_datadir}/hal/fdi/policy/10osvendor/00-thinkfinger.fdi
%{_mandir}/man1/tf-tool.1*
%{_mandir}/man8/pam_thinkfinger.8*

%files devel
%defattr(-,root,root)
%{_includedir}/libthinkfinger.h
%{_libdir}/pkgconfig/libthinkfinger.pc
%{_libdir}/libthinkfinger.a
%{_libdir}/libthinkfinger.so

%changelog
* Fri May 22 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3-4m)
- define __libtoolize (build fix)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3-3m)
- rebuild against rpm-4.6

* Tue Apr 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-2m)
- add system-auth.sample

* Sun Apr 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-1m)
- initial package for TP freaks using Momonga Linux
- import 6 patches from Fedora
